=== modified file 'drizzled/definition/table.h'
--- drizzled/definition/table.h	2011-01-07 21:56:29 +0000
+++ drizzled/definition/table.h	2011-01-10 22:11:30 +0000
@@ -57,7 +57,7 @@
 }
 
 namespace table {
-class Instance;
+class Singular;
 }
 
 class Field_blob;
@@ -672,7 +672,7 @@
   }
 
 protected:
-  friend class drizzled::table::Instance;
+  friend class drizzled::table::Singular;
 
   Field *make_field(const message::Table::Field &pfield,
                     unsigned char *ptr,

=== modified file 'drizzled/include.am'
--- drizzled/include.am	2011-01-09 23:00:13 +0000
+++ drizzled/include.am	2011-01-10 22:11:30 +0000
@@ -440,7 +440,7 @@
 			      drizzled/table.h \
 			      drizzled/table/cache.h \
 			      drizzled/table/concurrent.h \
-			      drizzled/table/instance.h \
+			      drizzled/table/singular.h \
 			      drizzled/table/placeholder.h \
 			      drizzled/table/shell.h \
 			      drizzled/table/temporary.h \
@@ -814,7 +814,7 @@
 			   drizzled/table.cc \
 			   drizzled/table/cache.cc \
 			   drizzled/table/concurrent.cc \
-			   drizzled/table/instance.cc \
+			   drizzled/table/singular.cc \
 			   drizzled/table/temporary.cc \
 			   drizzled/table/unused.cc \
 			   drizzled/table_function_container.cc \

=== modified file 'drizzled/session.cc'
--- drizzled/session.cc	2011-01-10 17:39:07 +0000
+++ drizzled/session.cc	2011-01-10 22:11:30 +0000
@@ -51,7 +51,7 @@
 
 #include "drizzled/identifier.h"
 
-#include "drizzled/table/instance.h"
+#include "drizzled/table/singular.h"
 
 #include "plugin/myisam/myisam.h"
 #include "drizzled/internal/iocache.h"
@@ -2113,11 +2113,11 @@
   return true;
 }
 
-table::Instance *Session::getInstanceTable()
+table::Singular *Session::getInstanceTable()
 {
-  temporary_shares.push_back(new table::Instance()); // This will not go into the tableshare cache, so no key is used.
+  temporary_shares.push_back(new table::Singular()); // This will not go into the tableshare cache, so no key is used.
 
-  table::Instance *tmp_share= temporary_shares.back();
+  table::Singular *tmp_share= temporary_shares.back();
 
   assert(tmp_share);
 
@@ -2143,11 +2143,11 @@
   @return
     0 if out of memory, Table object in case of success
 */
-table::Instance *Session::getInstanceTable(List<CreateField> &field_list)
+table::Singular *Session::getInstanceTable(List<CreateField> &field_list)
 {
-  temporary_shares.push_back(new table::Instance(this, field_list)); // This will not go into the tableshare cache, so no key is used.
+  temporary_shares.push_back(new table::Singular(this, field_list)); // This will not go into the tableshare cache, so no key is used.
 
-  table::Instance *tmp_share= temporary_shares.back();
+  table::Singular *tmp_share= temporary_shares.back();
 
   assert(tmp_share);
 

=== modified file 'drizzled/session.h'
--- drizzled/session.h	2011-01-08 11:27:50 +0000
+++ drizzled/session.h	2011-01-10 22:11:30 +0000
@@ -1850,8 +1850,8 @@
 
   void get_xid(DRIZZLE_XID *xid); // Innodb only
 
-  table::Instance *getInstanceTable();
-  table::Instance *getInstanceTable(List<CreateField> &field_list);
+  table::Singular *getInstanceTable();
+  table::Singular *getInstanceTable(List<CreateField> &field_list);
 
 private:
   bool resetUsage()
@@ -1879,7 +1879,7 @@
   // This lives throughout the life of Session
   bool use_usage;
   PropertyMap life_properties;
-  std::vector<table::Instance *> temporary_shares;
+  std::vector<table::Singular *> temporary_shares;
   struct rusage usage;
 };
 

=== modified file 'drizzled/table.cc'
--- drizzled/table.cc	2010-12-30 18:10:25 +0000
+++ drizzled/table.cc	2011-01-10 22:11:30 +0000
@@ -54,7 +54,7 @@
 #include <drizzled/item/null.h>
 #include <drizzled/temporal.h>
 
-#include "drizzled/table/instance.h"
+#include "drizzled/table/singular.h"
 
 #include "drizzled/table_proto.h"
 
@@ -838,7 +838,7 @@
     copy_func_count+= param->sum_func_count;
   }
 
-  table::Instance *table;
+  table::Singular *table;
   table= session->getInstanceTable(); // This will not go into the tableshare cache, so no key is used.
 
   if (not table->getMemRoot()->multi_alloc_root(0,

=== modified file 'drizzled/table.h'
--- drizzled/table.h	2010-12-24 07:15:43 +0000
+++ drizzled/table.h	2011-01-10 22:11:30 +0000
@@ -850,7 +850,7 @@
 
 } /* namespace drizzled */
 
-#include "drizzled/table/instance.h"
+#include "drizzled/table/singular.h"
 #include "drizzled/table/concurrent.h"
 
 #endif /* DRIZZLED_TABLE_H */

=== renamed file 'drizzled/table/instance.cc' => 'drizzled/table/singular.cc'
--- drizzled/table/instance.cc	2010-12-30 18:10:25 +0000
+++ drizzled/table/singular.cc	2011-01-10 22:11:30 +0000
@@ -36,7 +36,7 @@
 namespace table
 {
 
-Instance::Instance(Session *session, List<CreateField> &field_list) :
+Singular::Singular(Session *session, List<CreateField> &field_list) :
   _share(message::Table::INTERNAL),
   _has_variable_width(false)
 {
@@ -138,7 +138,7 @@
   }
 }
 
-bool Instance::open_tmp_table()
+bool Singular::open_tmp_table()
 {
   int error;
   
@@ -185,7 +185,7 @@
      true  - Error
 */
 
-bool Instance::create_myisam_tmp_table(KeyInfo *keyinfo,
+bool Singular::create_myisam_tmp_table(KeyInfo *keyinfo,
                                                  MI_COLUMNDEF *start_recinfo,
                                                  MI_COLUMNDEF **recinfo,
                                                  uint64_t options)
@@ -294,7 +294,7 @@
     a tmp_set bitmap to be used by things like filesort.
 */
 
-void Instance::setup_tmp_table_column_bitmaps()
+void Singular::setup_tmp_table_column_bitmaps()
 {
   uint32_t field_count= getShare()->sizeFields();
 
@@ -308,7 +308,7 @@
   default_column_bitmaps();
 }
 
-Instance::~Instance()
+Singular::~Singular()
 {
   const char *save_proc_info;
 

=== renamed file 'drizzled/table/instance.h' => 'drizzled/table/singular.h'
--- drizzled/table/instance.h	2010-11-04 20:51:35 +0000
+++ drizzled/table/singular.h	2011-01-10 22:11:30 +0000
@@ -20,8 +20,8 @@
 
 /* Structs that defines the Table */
 
-#ifndef DRIZZLED_TABLE_INSTANCE_H
-#define DRIZZLED_TABLE_INSTANCE_H
+#ifndef DRIZZLED_TABLE_SINGULAR_H
+#define DRIZZLED_TABLE_SINGULAR_H
 
 namespace drizzled
 {
@@ -29,19 +29,19 @@
 namespace table
 {
 
-class Instance : public Table
+class Singular : public Table
 {
   TableShare _share;
   bool _has_variable_width;
 
 public:
-  Instance() :
+  Singular() :
     _share(message::Table::INTERNAL),
     _has_variable_width(false)
   {
   }
 
-  Instance(Session *session, List<CreateField> &field_list);
+  Singular(Session *session, List<CreateField> &field_list);
 
   TableShare *getMutableShare(void)
   {
@@ -79,10 +79,10 @@
     _has_variable_width= true;
   }
 
-  ~Instance();
+  ~Singular();
 };
 
 } /* namespace table */
 } /* namespace drizzled */
 
-#endif /* DRIZZLED_TABLE_INSTANCE_H */
+#endif /* DRIZZLED_TABLE_SINGULAR_H */

